---
title: Déroulé de l'introduction à markdown
date: 2023-04-26T09:01:56+02:00
id: 20230426090205
tags: [rdv-info, déroulé, markdown]
---

## Checklist

- [ ] Polycopié généré et prêt au partage et ouvert pour s'y référer.
- [ ] Éditeur ouvert avec un exemple de fichier markdown.
- [ ] Navigateur de fichier ouvert sur l'ensemble de notes et dans le dossier
      `~/tmp/intro-md/`.
- [ ] Un terminal ouvert dans le dossier `~/tmp/intro-md/` (pour la démo de
      pandoc).

## Présentation (2 min.)

- Présentation personnelle.
- Partage du PDF du support de cours.

## Objectifs (1 min.)

- Avantages des fichiers au format texte et de markdown pour la prise de notes.
- Syntaxe de base.
- Fonctionnalités attendues d'un éditeur.
- Aperçu des possibilités avancées :
  - Ensemble de notes.
  - Conversion vers d'autres formats (`pandoc`).
  - Insertion d'une référence bibliographique.

## Présentation

### Introduction

- Ouvrir l'éditeur avec le fichier d'exemple.
- Montrer que ce n'est que du texte = format texte.
- Montrer le rendu et la structure.
- Avantages du format texte :
  - Fichiers simples et légers.
  - Ne dépend pas d'un logiciel particulier.
  - Pérennité.
  - Portabilité.
  - Sauvegarde, synchronisation, partage.
  - Recherche textuelle facilitée.
  - Favorise un riche écosystème pour utiliser ou manipuler les fichiers.
  - Facilite le suivi de l'historique des versions (`git`).
- Inconvénients :
  - Apprentissage simple au début, peut devenir plus ardu selon les besoins.
  - La conversion nécessite l'installation de logiciels supplémentaire.
  - L'usage de `pandoc` pour la conversion se fait en « ligne de commande ».
  - Le travail collaboratif est possible, mais selon les situations, il peut
    s'avérer complexe.
- Conclusion :
  - Rapidité et légèreté adaptée à la prise de note.
  - Notes structurées, recherche textuelle efficace.
  - Adapté pour documents simples (notes) ET pour documents complexes (thèse).
  - Constitution d'une base de connaissance.

### Syntaxe

- Détail de la syntaxe depuis l'éditeur.
  - Documentation en lien dans le support de cours (page 4).
  - Générateur de tableau en ligne.
  - Intérêt d'apprendre la syntaxe et de l'utiliser régulièrement.
  - Titres.
  - Paragraphes.
  - Italiques et gras.
  - Liens. Sans et avec référence.
  - Image.

### Éditeurs

- Fonctionnalités utiles :
  - Prévisualisation.
  - Autocomplétion de la syntaxe.
  - Navigateur de fichiers.
- Un plus :
  - Correcteur orthographique.
  - Formatage automatique des tableaux.
  - Suivi des liens internes, entre fichiers.
  - Raccourcis pour accéder à la syntaxe.

### Usages avancés

- Usages avancés :
  - Démo avec Visual Code. Ouvrir le dossier `~/bc/`.
  - Ouvrir README, suivre un lien.
  - Chercher un fichier `ctrl+p`.
  - Chercher une chaîne avec `ctrl+shift+f`.
  - Recherche et remplacer une chaîne avec `ctrl+shift+h`.
- Conversion simple de documents :
  - Aller dans le dossier `~/dev/rdv-info-markdown/intro/`.
  - Afficher le fichier `intro-déroulé.md`.
  - Convertir en DOCX, ODT, PDF et montrer le résultat.
- Insertion d'une référence bibliographique :
  - Monter que dans le dossier, il y a le fichier `references.bib`.
  - Afficher le contenu du fichier et expliquer brièvement.
  - Monter le *frontmatter* et expliquer.
  - Ajouter le lien vers la bibliographie.
  - Insérer une citation et le titre pour la bibliographie.
  - Convertir en PDF.

## Après la présentation

- Mentionner la possibilité d'ateliers pour aller plus loin.
