# Exemple de note

Pour écrire un paragraphe, il faut séparer deux blocs de texte par une ligne vide. Un simple retour à la ligne
ne change rien.

Ici commence le paragraphe suivant. Dans celui-ci, on peut insérer *un texte en italique*, soit en entourant la partie en *italique* par des astérisques (`*`), soit au moyen _d'underscore_ (`_`).

Pour le gras, **on utilise un double astérisque**, ou __un double underscore__.

## Les listes

Pour générer une liste, on commence chaque ligne de la liste avec un tiret :

```markdown
- Une liste
- Simple et
- Non ordonnée.
```

- Une liste
- Simple et
- Non ordonnée.

Pour une liste ordonnée, on commence chaque ligne par un chiffre suivit d'un point :

```markdown
1. Une liste
3. Simple mais
9. Ordonnée.
```

1. Une liste
3. Simple mais
9. Ordonnée.

L'ordre de la numérotation n'importe pas. Pour ne pas s'ennuyer à réordonner une liste qui peut évoluer, il y a une solution simple :

```markdown
1. Pomme.
1. Poire.
1. Cerise.
```

1. Pomme.
1. Poire.
1. Cerise.

Des listes imbriquées plus complexes peuvent être réalisées en ajoutant des espaces devant les lignes des sections inférieures :

```markdown
1. Une liste
1. Ordonnée et
   - Plus
   - Complexe
1. Voilà.
```

1. Une liste
1. Ordonnée et
   - Plus
   - Complexe
1. Voilà.

## Les liens

### La méthode simple

Il y a plusieurs méthodes pour insérer un lien. La plus simple est de mettre le texte du lien entre crochets, suivi de la cible entre parenthèses :

```markdown
[site de l'UNIGE](https://unige.ch)
```

Ce qui donne le lien suivant : [site de l'UNIGE](https://unige.ch).

On peut vouloir ajouter un titre à ce lien, qui s'affiche lorsque le curseur survol le lien :

```markdown
[site de l'UNIGE](https://unige.ch "site officiel d'UNIGE")
```

Ce qui donne le lien suivant : 
[site de l'UNIGE](https://unige.ch "site officiel d'UNIGE").

### Avec les références

Une autre méthode existe qui a les avantages suivants :

- Une même référence (cible du lien) peut être réutilisée plusieurs fois dans le même texte.
- La lisibilité du texte est améliorée.

Le texte du lien est toujours entre crochet, mais à la place de la cible entre parenthèse, on ajoute une référence entre crochet. Cette référence, qui peut être un chiffre, une lettre ou un texte, correspond à la cible, définie n'importe où dans le fichier.

```markdown
[site de l'UNIGE][1]

[1]: https://unige.ch "site officiel de l'UNIGE"
```

Ce qui donne le lien suivant : [site de l'UNIGE][1].

## Images (fichiers)

Pour l'insertion d'une image, on reprend la même syntaxe que pour le lien, en ajoutant un point d'exclamation au début de la ligne :

![Légende de l'image](https://www.unige.ch/files/4915/6335/2690/hp-formation.jpg "image d'illustration")

Le lien pour l'image peut être une URL ou un chemin vers un fichier local. Et la syntaxe avec la référence est possible aussi :

![Légende de l'image][2]



[1]:  https://unige.ch "site officiel de l'UNIGE"
[2]: ./static/logo-md.svg