## Éditeurs

Il existe beaucoup d'éditeurs pour rédiger en markdown. On peut les regrouper
en deux grandes catégories :

1. Les éditeurs [dédiés][8].
1. Les éditeurs [généralistes][9].

Dans les deux cas, des fonctionnalités de base qui sont presque
incontournables :

- Une prévisualisation, le plus souvent sous la forme d'un *rendu* HTML. Cette
  fonctionnalité a l'avantage de permettre de se faire une idée du résultat
  sans devoir générer le fichier final.
- La possibilité de naviguer dans une arborescence de fichiers, en général dans
  une barre sur le côté de l'interface.
- Une autocomplétion, pour faciliter l'entrée de syntaxe avec des `[]` ou des
  `()`.

D'autres fonctionnalités ne sont pas indispensables, mais deviennent rapidement
utiles :

- La correction orthographique pour les langues dans lesquelles vous rédigez.
- Des raccourcis pour la syntaxe (taper `img` et obtenir la syntaxe pour
  l'insertion d'une image).
- Un formatage automatique des tableaux.
- La possibilité de suivre les liens internes, au sein du même fichier ou entre
  les fichiers d'un même répertoire.

### Éditeurs dédiés {#dedies}

Ce sont des logiciels conçu spécifiquement pour éditer des fichiers avec la
syntaxe markdown. Ils peuvent être sous la forme d'un logiciel à installer sur
votre appareil (ordinateur, tablette, téléphone) ou d'un service web.

**Typora** est éditeur qui met l'accent sur son interface épurée. Il est disponible
pour tous les systèmes d'exploitation, payant. <https://typora.io/>

![Interface de GhostWriter][10]

**GhostWriter** est libre et gratuit, pour Windows et Linux
principalement.[^2] <https://ghostwriter.kde.org/fr/>

**Abricotine** est libre et gratuit, pour toutes les plateformes.
<http://abricotine.brrd.fr/>

**iA Writer** est payant, pour MacOS et Windows, mais est très apprécié pour la
rédaction. Il permet de lier des notes entre elles et offre ainsi une
navigation dans un ensemble de fichiers. <https://ia.net/writer>

**Obsidian** est un logiciel propriétaire, pour toutes les plateformes. Il ne
se limite pas à l'édition de fichiers markdown, mais permet de constituer une
base de connaissance basée sur des notes, et cela de manière très complète.
<https://obsidian.md/>

![Interface de Zettlr][11]

**Zettlr** est libre et disponible pour tous les systèmes d'exploitation. Il
est destiné à un usage académique, que ce soit pour construire une base de
connaissance à partir de notes ou pour rédiger un travail de mémoire ou un
article scientifique. Il intègre Zotero pour la gestion des références.

En ligne, on peut mentionner à nouveau le service [HackMD][2] ou le logiciel
[HedgeDoc][1] qui permet non seulement d'éditer des fichiers markdown avec une
prévisualisation, mais également de le faire à plusieurs, de disposer d'un
suivi des modifications et de commenter.

![Interface de l'éditeur HackMD][12]

### Éditeurs généralistes {#generalistes}

*Généralistes* car ces éditeurs ne sont pas limités à l'édition de fichier
markdown. Le plus souvent, ce sont des *éditeurs de texte* utilisés
par des développeurs pour écrire du code informatique. Le plus souvent, ils
disposent d'un écosystème d'extensions afin de s'adapter à des besoins
spécifiques. De ce fait, ils sont très puissants.

![Interface de Visual Studio Code][13]

Ainsi, il est possible d'adapter à l'édition du markdown les éditeurs de texte
suivant, notamment :

- Notepad++, libre et gratuit, pour Windows.
- Visual Studio Code, gratuit, pour Windows, MacOS, Linux. Un des logiciels les
  plus utilisés actuellement.
- VIM ou neovim, libre et gratuit, pour tous les systèmes d'exploitation.
- EMACS, libre et gratuit.
